ShapeDecoration (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.awt
Interface ShapeDecoration

All Superinterfaces:
  Revertable

All Known Implementing Classes:
  AbstractShapeDecoration, CircleShapeDecoration, ColdFrontShapeDecoration, HotFrontShapeDecoration, IceAreaShapeDecoration, LineShapeDecoration, SpacingShapeDecoration, TextShapeDecoration, TurbulanceShapeDecoration

    public interface ShapeDecoration

extends Revertable

A ShapeDecoration is a basic element to be drawn along a path by a ShapeDecorator. The decoration length is measured along the path to decorate, the width, on a normal to the path. The decoration may be on the left or on the right of the path.

Version:
  26 juil. 2002
Author:
  Eric LEPICIER

Field Summary
`static int` | `LEFT` The left orientation constant
`static int` | `RIGHT` The right orientation constant

Method Summary
`void` | `draw(java.awt.Graphics g, java.awt.geom.Point2D[] points, boolean complete)` Draws itself along the specified polyline Called by ShapeDecorator
`float` | `getLength()` Returns the length.
`int` | `getOrientation()` Returns the orientation.
`float` | `getWidth()` Returns the width.
`void` | `revert()` reverts the orientation
`void` | `setOrientation(int orientation)` Sets the orientation.

Field Detail

### RIGHT

    static final int RIGHT

  The right orientation constant

  See Also:
    Constant Field Values

### LEFT

    static final int LEFT

  The left orientation constant

  See Also:
    Constant Field Values

Method Detail

### getLength

    float getLength()

  Returns the length.

  Returns:
    float

### getWidth

    float getWidth()

  Returns the width.

  Returns:
    float

### getOrientation

    int getOrientation()

  Returns the orientation.

  Returns:
    int

### setOrientation

    void setOrientation(int orientation)

  Sets the orientation.

  Parameters:
    `orientation` - The orientation to set

### revert

    void revert()

  reverts the orientation

  Specified by:
    `revert` in interface `Revertable`

### draw

    void draw(java.awt.Graphics g,
              java.awt.geom.Point2D[] points,
              boolean complete)

  Draws itself along the specified polyline Called by ShapeDecorator

  Parameters:
    `g` -
    `points` - the polyline
    `complete` - true if the polyline length equals the decoration length
  See Also:
    `ShapeDecorator.draw(Graphics, Point2D[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details